<?php 
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die;

$class = $id = $transtyle = $sliderspeed = $rewindspeed = $items = $issingle = $autoplay = $pagination = $paginationspeed = $navigation = $autoheight = $mousedrag = $touchdrag = '';
//$azura_attrs,$azura_content,$azura_element
extract($azura_attrs);

$classes = array(
    'azp_element',
    'azp_owlcarousel owl-carousel owl-theme',
    $class,
);
$azpelementstyle = self::buildStyle($azura_attrs);
$animation_data = self::buildAnimation($azura_attrs);
$classes[] = self::buildTypography($azura_attrs);//will return custom class for the element without dot
$classes[] = $animation_data['trigger'];


$classes = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $classes ) ) );

if(!empty($id)){
	$id = ' id="'.$id.'"';
}

$dataObj = new stdClass;
if(!empty($transtyle)){
	$dataObj->transitionStyle = $transtyle;
}else{
	$dataObj->transitionStyle = false;
}
$dataObj->slideSpeed = (int)$sliderspeed;
$dataObj->rewindSpeed = (int)$rewindspeed;
$dataObj->items = (int)$items;
if($issingle === '1'){
	$dataObj->singleItem = true;
}else{
	$dataObj->singleItem = false;
}
if($autoplay == 'true'){
	$dataObj->autoPlay = true;
}elseif(is_numeric($autoplay)){
	$dataObj->autoPlay = (int)$autoplay;
}else{
	$dataObj->autoPlay = false;
}
if($pagination === '1'){
	$dataObj->pagination = true;
}else{
	$dataObj->pagination = false;
}
$dataObj->paginationSpeed = (int)$paginationspeed;
if($navigation === '1'){
	$dataObj->navigation = true;
}else{
	$dataObj->navigation = false;
}
if($autoheight === '1'){
	$dataObj->autoHeight = true;
}else{
	$dataObj->autoHeight = false;
}
if($mousedrag === '1'){
	$dataObj->mouseDrag = true;
}else{
	$dataObj->mouseDrag = false;
}
if($touchdrag === '1'){
	$dataObj->touchDrag = true;
}else{
	$dataObj->touchDrag = false;
}
$dataObj = rawurlencode(json_encode($dataObj));


?>
<div<?php echo $id;?> class="<?php echo $classes;?>" <?php echo $azpelementstyle.' '.$animation_data['data'];?> data-options="<?php echo $dataObj;?>">
	<?php if(isset(self::$toStoreGlobalVar['azuraowlcarouselitems']) && count(self::$toStoreGlobalVar['azuraowlcarouselitems'])) : ?>
		<?php foreach (self::$toStoreGlobalVar['azuraowlcarouselitems'] as $key => $owl) :?>
			<div class="item <?php echo $owl['el_class'];?>" <?php echo $owl['azpelementstyle'].' '.$owl['animation_data'];?>>
				<?php if(!empty($owl['slideimage'])) :?>
				<div class="owl-img-wrap">
					<img src="<?php echo JURI::root(true).'/'.$owl['slideimage'];?>" class="owl-item-img" alt="<?php echo $owl['alttext'];?>">
				</div>
				<?php endif;?>
				<?php echo $owl['content'];?>
			</div>
		<?php endforeach;?>
	<?php endif;?>
</div>
<?php 
self::$toStoreGlobalVar['azuraowlcarouselitems'] = array();
