<?php
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
$category = $limit = $order = $orderdir = $columns = $id = $extraclass = $show_filter = '';
//$azura_attrs,$azura_content,$azura_element
extract($azura_attrs);

if($category == '0' || $category =='') return false;

$classes = array(
    'azp_element',
    'portfolio-wrap',
    $extraclass,
);


$azpelementstyle = self::buildStyle($azura_attrs);
$animation_data = self::buildAnimation($azura_attrs);
$classes[] = self::buildTypography($azura_attrs);//will return custom class for the element without dot
$classes[] = $animation_data['trigger'];
$classes = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $classes ) ) );


if($id != '') $id = 'id="'.$id.'"';

$items = self::getK2Items($category, $limit, $order, $orderdir,'','0');
if($show_filter == '1'){
    $tagsFilter = self::getK2TagsFilter($items);
}
?>
<div<?php echo $id;?> class="<?php echo $classes;?>" <?php echo $azpelementstyle.' '.$animation_data['data'];?>>
<?php if(count($items)) :
?>
    <div id="options" class="clear">
        <ul id="filters" class="option-set" data-option-key="filter">
            <li class="filter actcat" data-filter="all"><?php echo JText::_('COM_AZURAPAGEBUILDER_PORTFOLIO_FILTER_ALL_TEXT');?></li>
            <?php 
            if(isset($tagsFilter) && count($tagsFilter)): 
                foreach($tagsFilter as $key=>$tag): 
            ?>
            <li class="filter" data-filter="<?php echo strtolower(str_replace(" ","-",$tag)); ?>"><?php echo ucfirst($tag); ?> </li>
            <?php endforeach;
            endif;?>
        </ul>
    </div> 
    <div class="aih">

        <ul id="folio_container" class="grid-full items<?php echo $columns;?> animaper">
        <?php foreach ($items as $key => $item) : 

            $extraFields = json_decode($item->extra_fields);
        ?>
        <!-- project <?php echo ($key+1);?>-->
        
            <li class="box  mix <?php echo self::getK2ItemTagsFilter($item);?> mix_all">
                <a href="#!<?php echo self::getK2ItemLink($item->id, $item->alias, $item->catid, $item->categoryalias);?>?viewtype=ajax&amp;tmpl=component">
                    <?php if($extraFields[0]->value) : ?>
                    <img src="<?php echo JURI::root(true).$extraFields[0]->value ;?>" class="respimg" alt="<?php echo preg_replace('/--([^-]*)--/', '$1', $item->title);?>" title="<?php echo preg_replace('/--([^-]*)--/', '$1', $item->title);?>">
                    <?php endif;?>
                    <div class="folio-name clear">
                        <div class="folio-overlay">
                            <span class="overlay red"></span>
                            <h4><?php echo preg_replace('/--([^-]*)--/', '$1', $item->title);?></h4>                            
                            <h6><?php echo $extraFields[1]->value;?></h6>
                        </div>
                    </div>
                </a>
                
            </li>
            
        <?php endforeach;?>
            
        </ul>
    </div>
    <!-- ajax-section -->
 
    <div class="clear"></div>
    <div id="ajax-section">     
        <div id="loader"></div>
        <div id="ajax-content-outer">
            <div id="ajax-content-inner"></div>
        </div>
        <div id="project-navigation">
            <ul>
                <li id="prevProject"><a href="#"></a></li>
                <li id="nextProject"><a href="#"></a></li>
            </ul>  
        </div>
        <div id="closeProject">
            <div class="grid-3">
                <a href="#/"><?php echo JText::_('COM_AZURAPAGEBUILDER_PORTFOLIO_CLOSE_TEXT');?></a>
            </div>               
        </div>                  
    </div>
    <!-- ajax-section end -->
<?php endif;?>
</div>


